---
sidebar_position: 10
description: Get contact description and other functions to work with GreenAPI in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, GreenAPI]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get contact description
 Gets the contact description for the SendContact function



`Function GetContactDescription(Val Phone, Val Name = "", Val LastName = "", Val Patronymic = "", Val Company = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Phone | --phone | Number | &#x2714; | Phone number in international format without a plus sign |
  | Name | --name | String | &#x2716; | Contact name |
  | LastName | --surname | String | &#x2716; | Contact last name |
  | Patronymic | --midname | String | &#x2716; | Contacts patronymic or middle name |
  | Company | --company | String | &#x2716; | Name of the contact company |

  
  Returns:  Structure Of KeyAndValue - Contact description



```bsl title="1C:Enterprise/OneScript code example"
    Phone      = 79001234568;
    Name       = "Artem";
    LastName   = "Evpatoriysky";
    Patronymic = "Petrovich";
    Company    = "Bicycle";

    Result = OPI_GreenAPI.GetContactDescription(Phone, Name, LastName, Patronymic, Company);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint greenapi GetContactDescription \
             --phone "***" \
             --name "Artem" \
             --surname "Evpatoriysky" \
             --midname "Petrovich" \
             --company "Bicycle"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint greenapi GetContactDescription ^
             --phone "***" ^
             --name "Artem" ^
             --surname "Evpatoriysky" ^
             --midname "Petrovich" ^
             --company "Bicycle"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "phoneContact": "***",
 "firstName": "Artem",
 "middleName": "Evpatoriysky",
 "lastName": "Petrovich",
 "company": "Bicycle"
}
```
